Enneo

AiAgent

Get list of available enneo default AI Agents

GET /aiAgents/availableDefaults

GET /aiAgents/availableDefaults

Retrieve all available enneo default AI agents that can be imported. Shows which agents are already imported and which are available for import.

Responses

200 — Successful operation

Response Example

{
  "availableAiAgents": [
    {
      "name": "Basis-Agent",
      "description": "Erledigt grundlegende Aufgaben und ist mit Branchendaten vortrainiert.",
      "channels": [
        "email",
        "phone",
        "chat",
        "letter"
      ],
      "intelligence": "smart",
      "settings": null,
      "id": 1,
      "slug": "basic_task_agent",
      "createdAt": "2023-08-08 18:53:23",
      "modifiedAt": "2025-06-06 09:19:24"
    }
  ],
  "success": true
}

403 — Unauthorized

500 — Internal error